Gatana logoGatana Docs
RoutesDeploymentsMetrics

/deployments/metrics

Get historical CPU, memory and storage usage metrics for a deployment. Provide either serverSlug or sandboxId; requires read permission on the server

GET
/deployments/metrics
AuthorizationBearer <token>

In: header

Query Parameters

serverSlug?string

Slug of the server to get metrics for

sandboxId?string

ID of the sandbox to get metrics for

range?string

Time range of the metrics. Default is "1h"

Value in"15m" | "30m" | "1h" | "6h" | "24h" | "7d" | "30d"

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/deployments/metrics"
{
  "cpu": {
    "timestamps": [
      0
    ],
    "values": [
      0
    ]
  },
  "memory": {
    "timestamps": [
      0
    ],
    "values": [
      0
    ]
  },
  "resourceLimits": {
    "cpuCores": 0,
    "memoryBytes": 0
  },
  "storage": {
    "usage": {
      "timestamps": [
        0
      ],
      "values": [
        0
      ]
    },
    "capacityBytes": 0
  }
}